# class SyntaxSuggest::MiniStringIO

Mini `String` `IO` [Private]

Acts like a `StringIO` with reduced API, but without having to require that class.

### Attributes

isatty[R]
string[R]

### Public Class Methods

new(isatty: $stderr.isatty) click to toggle source

    # File lib/syntax_suggest/core_ext.rb, line 11
    def initialize(isatty: $stderr.isatty)
      @string = +""
      @isatty = isatty
    end

### Public Instance Methods

puts(value = $/, **) click to toggle source

    # File lib/syntax_suggest/core_ext.rb, line 17
    def puts(value = $/, **)
      @string << value
    end